{% extends "manage/wrapper.tpl" %}

{% block heading %}{% trans "Embeds" %}{% endblock %}

{% block managecontent %}
  <style type="text/css">
    #embeds_form input {float:left;}
    #embed_url {width:375px;}
  </style>
  {% if embed_error %}
    <p>A field was invalid or empty!</p>
  {% elseif embed_success %}
    <p>Successfully {{embed_success}}!</p>
  {% endif %}
  <form action="{{ base_url }}app=core&amp;module=site&amp;section=embeds&amp;do=edit&amp;action=add" method="post">
    <fieldset name="embeds_form" id="embeds_form">
      <legend>{% trans "Embed" %}</legend>
      <label for="embed_name">Name:</label>
      <input type="text" name="embed_name" id="embed_name" value="{% if edit_embed %}{{edit_embed.embed_name}}{% endif %}" />
      <label for="embed_ext">Extension:</label>
      <input type="text" name="embed_ext" id="embed_ext" value="{% if edit_embed %}{{edit_embed.embed_ext}}{% endif %}" />
      <br />
      <label for="embed_height">Height:</label>
      <input type="text" name="embed_height" id="embed_height" value="{% if edit_embed %}{{edit_embed.embed_height}}{% endif %}" />
      <label for="embed_width">Width:</label>
      <input type="text" name="embed_width" id="embed_width" value="{% if edit_embed %}{{edit_embed.embed_width}}{% endif %}" />
      <br />
      <label for="embed_url">URL:</label>
      <input type="text" name="embed_url" id="embed_url" value="{% if edit_embed %}{{edit_embed.embed_url}}{% endif %}" />
      <br />
      <label for="embed_code">Code:</label>
      <textarea name="embed_code" id="embed_code" rows="3" cols="46">{% if edit_embed %}{{edit_embed.embed_code}}{% endif %}</textarea>
      <br />
      <label for="embed_submit">&nbsp;</label>
      <input id="embed_id" name="embed_id" type="hidden" value="{% if edit_embed %}{{edit_embed.embed_id}}{% endif %}" />
      <input type="submit" value="Go!" />
    </fieldset>                
  </form>
  <p>
    <table class="users" cellspacing="1px">
      <col class="col1" /><col class="col2" />
      <col class="col1" /><col class="col2" />
      <col class="col1" /><col class="col2" />
      <col class="col1" />
      
      <thead>
        <tr>
          <th>{% trans "Name" %}</th>
          <th>{% trans "Extention" %}</th>
          <th>{% trans "URL" %}</th>
          <th>{% trans "Width" %}</th>
          <th>{% trans "Height" %}</th>
          <th>{% trans "Code" %}</th>
          <th>&nbsp;</th>
        </tr>
      </thead>
      
      <tbody>
        {% for embed in embeds %}
        <tr>
          <td>{{embed.embed_name}}</td>
          <td>{{embed.embed_ext}}</td>
          <td>{{embed.embed_url}}</td>
          <td>{{embed.embed_height}}</td>
          <td>{{embed.embed_width}}</td>
          <td><textarea>{{embed.embed_code}}</textarea></td>
          <td>
            <form action="{{ base_url }}app=core&amp;module=site&amp;section=embeds&amp;action=edit" method="post">
              <input id="embed_id" name="embed_id" type="hidden" value="{{embed.embed_id}}" />
              <input type="submit" value="&nbsp;&nbsp;Edit&nbsp;&nbsp;" />
            </form>
            <form action="{{ base_url }}app=core&amp;module=site&amp;section=embeds&amp;do=edit&amp;action=delete" method="post">
              <input id="embed_id" name="embed_id" type="hidden" value="{{embed.embed_id}}" />
              <input type="submit" value="Delete" />
            </form>
          </td>
        </tr>
        {% else %}
          <td>You haven't added any yet!</td>
        {% endfor %}
      </tbody>
    </table>
  </p>
{% endblock %}