{% import "manage/macros.tpl" as macros %}

{% extends "manage/wrapper.tpl" %}

{% block heading %}{% trans "Manage Staff" %}{% endblock %}

{% block managecontent %}
<form action="{{ base_url }}app=core&amp;module=staff&amp;section=staff&amp;do=show&amp;act={% if _get.act == 'edit' %}edit&amp;id={{user.user_id}}{% else %}add{% endif %}" method="post">
  {% if _get.act == 'edit' %}{% set formname = "Edit user" %}{% else %}{% set formname = "Add new user" %}{% endif %}
  {{ macros.manageform("staff_add", formname, true,
                       { 'Username'            : { 'id' : 'username', 'type' : 'text',  'value' : user.user_name } ,
                         'Password'            : { 'id' : 'pwd1', 'type' : 'password', 'value' : user.user_password } ,
                         'Reenter Password'    : { 'id' : 'pwd2', 'type' : 'password', 'value' : user.user_password } ,
                         'Type'                : { 'id' : 'type', 'type' : 'select',  'value' : 
                          { 
                            'Administrator' : { 'value' : 1, 'selected' : (_get.act == 'edit' and user.user_type == 1) } ,
                            'Moderator'     : { 'value' : 2, 'selected' : (_get.act == 'edit' and user.user_type == 2) } ,
                            'Janitor'       : { 'value' : 3, 'selected' : (_get.act == 'edit' and user.user_type == 3) } ,
                          } } 
                       }
                      ) 
  }}
</form>
  
<br />  
<table class="users" cellspacing="1px">
  <col class="col1" /> <col class="col2" />
  <col class="col1" /> <col class="col2" />
  <col class="col1" />
  <thead>
    <tr>
      <th>{% trans "Username" %}</th>
      <th>{% trans "Date Added" %}</th>
      <th>{% trans "Last active" %}</th>
      <th>{% trans "Usergroup" %}</th>
      <th>&nbsp;</th>
    </tr>
  </thead>
  <tbody>
  {% for member in staffmembers %}
    <tr>
      <td>{{ member.user_name }}</td>
      <td>{{ member.user_add_time|date_format("%b %d, %Y %H:%M") }}</td>
      <td>{{ member.user_last_active|date_format("%b %d, %Y %H:%M") }}</td>
      <td>{{ member.user_type }}</td>
      <td>[ <a href="{{ base_url }}app=core&amp;module=staff&amp;section=staff&amp;do=show&amp;act=edit&amp;id={{ member.user_id }}">{% trans "Edit" %}</a> ] [ <a href="{{ base_url }}app=core&amp;module=staff&amp;section=staff&amp;do=show&amp;act=del&amp;id={{ member.user_id }}">{% trans "Delete" %}</a> ]</td>
    </tr>
  {% endfor %}
  </tbody>
</table>
{% endblock %}
